Subject: Re: [MEXT] Comments on draft-ietf-mext-flow-binding-00

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 5 Mar 2009 12:57:19 -0800 (PST)

Hi Hesham,
  This is still not yet fixed in -01 draft unless FID is made a 16-bit field?

Regards,

Behcet

________________________________
From: Hesham Soliman <[email-masked]>
To: Behcet Sarikaya <[email-masked]>
Sent: Monday, December 1, 2008 6:25:25 PM
Subject: Re: [MEXT] Comments on draft-ietf-mext-flow-binding-00

Thanks Behcet, will fix it.

Hesham

On 2/12/08 10:51 AM, "Behcet Sarikaya" <[email-masked]> wrote:

> Hi Hesham,
>  Maybe somebody already reported this: I found that on p.7 Figure 1, FID
> which is an 8-bit field is shown twice. I don't think two FIDs are needed in
> each flow identification option.
> 
> Regards,
> 
> Behcet
> 
> 
> 
> 
> ________________________________
> From: Romain KUNTZ <[email-masked]>
> To: mext <[email-masked]>
> Sent: Thursday, November 27, 2008 4:44:45 AM
> Subject: Re: [MEXT] Comments on draft-ietf-mext-flow-binding-00
> 
> Hello,
> 
> On 2008/11/25, at 17:41, Giaretta, Gerardo wrote:
>>> If we make the assumption that refreshing all is more common that removing
>>> all (fair assumption I think) then we can try to optimise for that.
>>> 
>> 
>> I think it is a fair assumption. I think the following should be the
>> principles to implement:
>> 
>> - add, replace, remove flow bindings require FID option in the BU
>> - a BU with BID options is used to update the binding in terms of CoA and
>> lifetime, but does not change the flow binding. Flow bindings which
>> correspond to a specific BID are not changed in this case.
>> - The lifetime of the flow binding is tied to the lifetime of the CoA
>> binding. This implies that a flow binding is removed only if there is a
>> remove action via FID option from the MN, if the respective BID is removed or
>> the respective BID expires
>> - a BU without any BID option overwrites all bindings including the flow
>> binding
>> 
>> The latter is used for example when the MN wants to go through MCoA mode to
>> single CoA mode.
>> 
>> Does it make sense?
> 
> I'm in favor with what Gerardo is proposing. This is also what I had in mind.
> 
> Regards,
> romain
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext
> 
> 
> 
>